# GET Privacy Enforcement Actions source: https://developer.mastercard.com/riskrecon-api/documentation/testing/portfolio-samples/get-priv-enforcement-smpl/index.md Allows you to retrieve privacy enforcement actions across a customer's portfolio, enabling focused analysis of regulatory outcomes that affect vendors (TOEs) and their data handling practices. ## Pre-requisites {#pre-requisites} Refer to the [Retrieve Privacy Enforcement Actions](https://developer.mastercard.com/riskrecon-api/documentation/use-cases/portfolio-management/portfolio/get-priv-enforcement/index.md) use case. ## Request URL for Sandbox environment {#request-url-for-sandbox-environment} ```bash GET https://api.sandbox.riskrecon.com/v1/privacy/portfolio_enforcement_actions ``` ## Request URL for Production environment {#request-url-for-production-environment} ```bash GET https://api.riskrecon.com/v1/privacy/portfolio_enforcement_actions ``` ## Test Cases {#test-cases} ### Test Case: Success - Get Privacy Enforcement Actions {#test-case-success---get-privacy-enforcement-actions} **Request** ```bash curl -X 'GET' \ 'https://api.sandbox.riskrecon.com/v1/privacy/portfolio_enforcement_actions?sort_attribute=enforcement_action_date&enforcement_action_start_date=2023-01-01&page=1&per_page=20&sort_method=DESC' \ -H 'accept: application/json' \ -H 'Authorization: Bearer valid_JWT_token' ``` **Response** get: ```json { "data": [ { "description": "Metz, Zemlak and Sawayn was fined 428865032 USD on 1961-12-03 for Labore voluptas corrupti rerum.", "sources": [ "https://reinger.com", "https://altenwerth.com" ], "toe_id": "40c146aa-7384-4999-8fb0-a9d6ce31b293", "analysis_id": "27138", "toe_short_name": "Schimmel-Grimes", "regulation": "CCPA", "regulatory_body": "Privacy Commissioner of Canada", "enforcement_action_date": "1941-11-23" }, { "description": "Leffler, Smitham and Koelpin was fined 58830448 USD on 1985-05-13 for Sint perspiciatis voluptas nemo.", "sources": [ "http://koepp.name", "https://rosenbaum.info" ], "toe_id": "523f9ff3-141e-49f9-adf4-c8d6a88415a2", "analysis_id": "27170", "toe_short_name": "Bednar Inc", "regulation": "PIPEDA", "regulatory_body": "Privacy Commissioner of Canada", "enforcement_action_date": "1963-07-07" }, { "description": "Crist Ltd was fined 395431766 CAD on 1964-02-13 for Reiciendis sapiente aliquam molestiae?", "sources": [ "http://steuber.org", "https://rolfson.org" ], "toe_id": "64452df6-ecf2-4578-92f3-eedaa165d0b1", "analysis_id": "27202", "toe_short_name": "Lowe Group", "regulation": "CCPA", "regulatory_body": "Federal Trade Commission", "enforcement_action_date": "1977-09-23" }, { "description": "Ortiz-Maggio was fined 478768639 CAD on 1956-08-25 for Velit ut vel odit.", "sources": [ "http://emard.net", "https://bahringer.name" ], "toe_id": "469be800-2faf-4b75-b182-baaadf36207a", "analysis_id": "27234", "toe_short_name": "Jaskolski Inc", "regulation": "LGPD", "regulatory_body": "Information Commissioner's Office", "enforcement_action_date": "1973-04-30" }, { "description": "Kris, Kessler and Senger was fined 264447253 EUR on 1981-03-15 for Enim quas rerum dolor.", "sources": [ "https://olson.net", "http://marquardt.biz" ], "toe_id": "b4405aad-5db5-49a7-8a1a-4cd7ea1b699e", "analysis_id": "27266", "toe_short_name": "Wehner, Walsh and Roberts", "regulation": "PIPEDA", "regulatory_body": "Dutch Data Protection Authority", "enforcement_action_date": "1926-04-07" } ], "meta": { "current_page": 1, "next_page": null, "prev_page": null, "total_count": 5, "total_pages": 1 } } ``` ### Test Case: Fail - Invalid JSON Web Token {#test-case-fail---invalid-json-web-token} **Request** Here is an example of a request made with an incorrect JSON Web Token using a `curl` command. ```bash curl -X 'GET' \ 'https://api.sandbox.riskrecon.com/v1/privacy/portfolio_enforcement_actions' \ -H 'accept: application/json' \ -H 'Authorization: Bearer invalid_JWT_token' ``` **Response** HTTP Error Response 401 ```json { "Errors": { "Error": [ { "Description": "Unauthorized request", "Details": "Invalid JWT", "ReasonCode": "UNAUTHORIZED", "Recoverable": false, "Source": "RISKRECON_API" } ] } } ```